Subject: bug#16099: 24.3.50; Build failure, undefined function `cl-member'

From: Dani Moncayo <[email-masked]>
Date: Tue, 10 Dec 2013 21:09:14 +0100

>> Other options might be for configure to abort on MinGW if srcdir is
>> absolute and has the "wrong" format (which must means that the user
>> specified srcdir, as in this case). Or to simply fix such a srcdir
>> before generating the Makefiles.
>>
>> Might be easier than unmsys'ing every present and future instance of
>> srcdir in the Makefiles.
>
> In fact I think that might mean that you could remove unmsys--file-name
> altogether...?

I think that the function 'unmsys--file-name' is conceptually wrong, because:

1. It assumes that every MSYS path will match the "/c/foo/bar"
pattern, which in general is false (as we've already seen).

2. Some directory "c:/whatever" could be mounted in MSYS as "/c/foo",
and therefore "/c/foo/bar" should be translated as "c:/whatever/bar"
(not "c:/foo/bar"). Improbable but possible.

Therefore, like I've said before, IMO this is unreliable, and we
should translate (or "unmsys") _all_ MSYS paths with the 'msys-to-w32'
script.

-- 
Dani Moncayo